## pyqt5chart 5.10.1+dfsg

=== debian/changelog ===
pyqt5chart (5.10.1+dfsg-1) unstable; urgency=medium

  * Initial release. Closes: #892198.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Jun 2018 22:46:29 +0200
