=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
http://sf.net/pyqt/PyQtChart_gpl-(.*)\.tar\.gz
