## pyqt5chart 5.11.3%2Bdfsg

=== debian/changelog ===
pyqt5chart (5.11.3+dfsg-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:12 +0100

pyqt5chart (5.11.3+dfsg-2) unstable; urgency=medium

  [ Emmanuel Arias ]
  [Emmanuel Arias]
  * Team Upload
  * Apply Matthias Klose patch to fix include dirctories
    for py3.8 (Closes: #942748)
  * d/control: Bump Standard-Version to 4.4.1
  * d/control: Use debhelper-compat instead of debhelper.
    - Bump debhelper to 12

  [ Jonathan Carter ]
  * Upload to unstable

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 21 Oct 2019 00:11:15 -0300

pyqt5chart (5.11.3+dfsg-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/watch: Use https protocol

  [ Stephen Kitt ]
  * New upstream release.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.
  * Allow co-installation of the various Python library packages.

 -- Stephen Kitt <skitt@debian.org>  Wed, 12 Dec 2018 22:39:38 +0100
