=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper (>= 10.3),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libqt5charts5-dev,
                pyqt5-dev,
@@ -14,10 +14,11 @@
                python3-sip-dbg,
                python3-sip-dev,
                qttools5-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqtchart/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyqt5chart.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyqt5chart
+Rules-Requires-Root: no
 
 Package: pyqt5chart-dev
 Architecture: all
@@ -30,6 +31,7 @@
 
 Package: python3-pyqt5.qtchart
 Architecture: any
+Multi-Arch: same
 Depends: python3-pyqt5,
          ${misc:Depends},
          ${python3:Depends},
@@ -44,6 +46,7 @@
 Package: python3-pyqt5.qtchart-dbg
 Section: debug
 Architecture: any
+Multi-Arch: same
 Depends: python3-dbg,
          python3-pyqt5-dbg,
          python3-pyqt5.qtchart (= ${binary:Version}),
