## pyqt5chart 5.11.3+dfsg

=== debian/changelog ===
pyqt5chart (5.11.3+dfsg-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Fri, 22 Jan 2021 12:10:47 +0800
