=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper (>= 10.3),
                dh-python,
                libqt5charts5-dev,
                pyqt5-dev,
@@ -14,7 +14,7 @@
                python3-sip-dbg,
                python3-sip-dev,
                qttools5-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.2.1
 Homepage: http://www.riverbankcomputing.co.uk/software/pyqtchart/
 Vcs-Git: https://salsa.debian.org/python-team/modules/pyqt5chart.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/pyqt5chart
