## pyqt5chart 5.15.2+dfsg

=== debian/changelog ===
pyqt5chart (5.15.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Build-depend on sip-tools instead of sip5-tools, in preparation for
    SIP v6.
  * Mark the autopkgtest as superficial.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 28 Jan 2021 13:36:13 +0300

pyqt5chart (5.15.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump required python3-pyqtbuild version to 1.6.
  * Bump Standards-Version to 4.5.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Nov 2020 19:10:39 +0300

pyqt5chart (5.15.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump PyQt5 build- and run-time dependencies to 5.15.1.
  * Bump years in debian/copyright.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 24 Sep 2020 16:17:28 +0300

pyqt5chart (5.15.0+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Dmitry Shachnev ]
  * Drop python-all-dbg from autopkgtest dependencies (closes: #943218).
  * Update debian/watch to track releases from PyPI.
  * New upstream release.
  * Switch from sip4 to sip5.
  * Use dh sequencer and pybuild build system.
  * Drop Multi-Arch: same fields. Unfortunately PEP 3149 .abi3 tagged
    files do not have an architecture marker.
  * Remove custom LDFLAGS: -Wl,-O1 is added by qmake and -Wl,--as-needed
    is default in Bullseye.
  * Use ${python3:Depends} for python3-pyqt5.qtchart-dbg.

  [ Debian Janitor ]
  * Drop unnecessary dh arguments: --parallel, --parallel
  * Rely on pre-initialized dpkg-architecture variables.
  * Update standards version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Jun 2020 14:03:12 +0300
