=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DH_OPTIONS=${EXTRA_DH_OPTIONS}

DPKG_EXPORT_BUILDFLAGS=1
include /usr/share/dpkg/buildflags.mk

SPLIT=10

export QT_SELECT=qt5

export BASE_CONFIGURE_ARGS={interpreter} /usr/bin/sip-build --verbose --no-make \
	--build-dir {build_dir} \
	--concatenate $(SPLIT) \
	--qmake-setting 'QMAKE_CXXFLAGS += "$(CXXFLAGS) $(CPPFLAGS)"' \
	--qmake-setting 'QMAKE_LFLAGS += "$(LDFLAGS)"'

export PYBUILD_SYSTEM=custom
export PYBUILD_CONFIGURE_ARGS=$(BASE_CONFIGURE_ARGS) --pep484-pyi
export PYBUILD_CONFIGURE_ARGS_python3-dbg=$(BASE_CONFIGURE_ARGS)
export PYBUILD_BEFORE_BUILD_python3-dbg=sed -i 's/-isystem/-I/' {build_dir}/*/Makefile  # See bug #755767
export PYBUILD_BUILD_ARGS=$(MAKE) -C {build_dir}
export PYBUILD_INSTALL_ARGS=$(MAKE) -C {build_dir} install INSTALL_ROOT=$(CURDIR)/debian/tmp

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip -ppython3-pyqt5.qtchart --dbg-package=python3-pyqt5.qtchart-dbg

override_dh_installdocs:
	dh_installdocs -ppython3-pyqt5.qtchart-dbg --link-doc=python3-pyqt5.qtchart
	dh_installdocs --remaining-packages -A NEWS
