## pyqt5chart 5.15.4+dfsg

=== debian/changelog ===
pyqt5chart (5.15.4+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Pass correct --target-dir to sip-build, to fix FTBFS with sip ≥ 6.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Oct 2021 15:13:12 +0300

pyqt5chart (5.15.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set field Upstream-Name in debian/copyright.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump years in debian/copyright.
  * Bump python3-pyqtbuild build-dependency to 1.9, per pyproject.toml.
  * Bump runtime PyQt5 dependencies to 5.15.4, per pyproject.toml.
  * Stop building extensions for Python debug interpreter (closes: #994336).
    - Rely on automatic dbgsym packages for debug symbols.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 15 Sep 2021 17:47:53 +0300
