=== debian/control ===
Source: pyqt5chart
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Stephen Kitt <skitt@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libqt5charts5-dev,
               pyqt5-dev (>= 5.15.1),
               python3-all-dev,
               python3-pyqt5 (>= 5.15.1),
               python3-pyqtbuild (>= 1.9),
               qttools5-dev,
               sip-tools (>= 5.3.0+dfsg-2~)
Standards-Version: 4.6.0
Homepage: https://riverbankcomputing.com/software/pyqtchart/
Vcs-Git: https://salsa.debian.org/python-team/packages/pyqt5chart.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyqt5chart
Rules-Requires-Root: no

Package: pyqt5chart-dev
Architecture: all
Depends: pyqt5-dev (>= 5.15.4), ${misc:Depends}
Description: Development files for PyQtCharts
 PyQtCharts exposes the QtCharts toolkit in Python.
 .
 This package contains the source SIP files from which the Python
 bindings for QtCharts are created.

Package: python3-pyqt5.qtchart
Architecture: any
Depends: python3-pyqt5 (>= 5.15.4),
         python3-pyqt5.sip (<< 13),
         python3-pyqt5.sip (>= 12.8),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Python 3 bindings for Qt5's Charts module
 The Charts module of PyQt5 provides widgets and utility classes
 for chart rendering in a PyQt5 application.
 .
 This package contains the Python 3 version of this module.
