## pyqt5chart 5.15.6%2Bdfsg

=== debian/changelog ===
pyqt5chart (5.15.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 25 Jun 2022 17:51:11 +0200
