## pyqt5chart 5.15.6+dfsg

=== debian/changelog ===
pyqt5chart (5.15.6+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:50:38 +0000

pyqt5chart (5.15.6+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:35:10 +0000
