## pyqt5chart 5.15.7%2Bdfsg

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,repacksuffix=+dfsg \
https://pypi.debian.net/PyQtChart/PyQtChart-(.*)\.tar\.gz
