## pyqt5chart 5.15.7+dfsg

=== debian/changelog ===
pyqt5chart (5.15.7+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix build with SIP ≥ 6.11 by using a lowercase name for dist-info
    (closes: #1117761).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 14 Oct 2025 14:55:27 +0300

pyqt5chart (5.15.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Jul 2024 12:48:19 +0200
