=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pyqt5chart
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-python,
@@ -11,9 +10,10 @@
                python3-all-dev,
                python3-pyqt5 (>= 5.15.1),
                python3-pyqtbuild (>= 1.9),
+               python3-sipbuild (>= 6.11),
                qttools5-dev,
                sip-tools (>= 5.3.0+dfsg-2~)
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: https://riverbankcomputing.com/software/pyqtchart/
 Vcs-Git: https://salsa.debian.org/python-team/packages/pyqt5chart.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/pyqt5chart
